import http from "@/api/http.js";
/* 权益小程序管理  视频列表模块*/

const raiVote = {
  /* 列表 */
  questionnaireList: (params) => {
    return http.get("/cygx/questionnaire/list", params);
  },
  /* 列表 */
  questionnairePreserveAndEdit: (params) => {
    return http.post("/cygx/questionnaire/preserveAndEdit", params);
  },
  /* 详情 */
  questionnaireDetail: (params) => {
    return http.get("/cygx/questionnaire/detail", params);
  },
  /* 投票结果 */
  questionnaireVote_detail: (params) => {
    return http.get("/cygx/questionnaire/vote_detail", params);
  },
  /* 票数明细 */
  questionnaireVote_list: (params) => {
    return http.get("/cygx/questionnaire/vote_list", params);
  },
  /* 其余主题 */
  questionnaireVote_other: (params) => {
    return http.get("/cygx/questionnaire/vote_other", params);
  },
};

export default raiVote;
